Bug 164279 - CAN-2005-2368 vim modeline arbitrary command execution
Summary: CAN-2005-2368 vim modeline arbitrary command execution
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vim   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard: impact=low,public=20050725,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-26 15:27 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-745
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-22 14:14:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo exploit for this issue (99 bytes, text/plain)
2005-08-11 01:13 UTC, Josh Bressers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:745 normal SHIPPED_LIVE Low: vim security update 2005-08-22 04:00:00 UTC

Description Josh Bressers 2005-07-26 15:27:04 UTC
A bug was found in vim which can allow a malicious modeline to execute arbitrary
code.

The initial discovery is here:
http://www.guninski.com/where_do_you_want_billg_to_go_today_5.html

The fix for this issue seems to span two patchsets (the second fixes what the
first misses)
ftp://ftp.vim.org/pub/vim/patches/6.3/6.3.081
ftp://ftp.vim.org/pub/vim/patches/6.3/6.3.082

Comment 1 Josh Bressers 2005-07-26 15:28:28 UTC
This issue should also affects RHEL2.1 and RHEL3

Comment 2 Karsten Hopp 2005-08-10 23:12:14 UTC
I'm not sure about 2.1. Do you really want me to do an RHSA for 2.1 ? 

Comment 3 Josh Bressers 2005-08-11 01:13:01 UTC
Created attachment 117631 [details]
Demo exploit for this issue

If you open this file with vim, it will create the file /tmp/vim-test-1.exec

I just verified it on RHEL2.1, so yes, we'll want to patch that as well.

Comment 4 Red Hat Bugzilla 2005-08-22 14:14:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-745.html



Note You need to log in before you can comment on or make changes to this bug.